RIVET-RESCALE(1)

NAME
rivet-rescale - Rescale histos in observable-file of AIDAFILE to the area of the corresponding histos in REFDATAPATH

SYNOPSIS
rivet-rescale [-r <REFDATAPATH>] [-O <observable-file>] [-b <bindef> [-b ...]] <AIDAFILE> [<OUTFILE>]

DESCRIPTION
Rescale histos in observable-file of AIDAFILE to the area of the corresponding histos in REFDATAPATH. REFDATAPATH can either be a single AIDA-file or a directory containing AIDA-files. By default the standard Rivet reference files are used.

Observable definitions of the form /CDF_2000_S4155203/d01-x01-y01 1.0 can be used to specify an absolute normalisation (1.0, here) for a histogram rather than using the reference histo. If the --multiply switch is used, the ref histo area will be scaled by the given factor to give the target normalisation.

You can also define bins to chop out in the observable-file in the same way as in chop_bins: /CDF_2000_S4155203/d01-x01-y01:0:35 1.0 This will chop the bins with Z-pT > 35 GeV and obtain a rescaling factor from that restricted bin range: note that the output histograms will be rescaled but *unchopped*.

Only one bin definition can be used for each histogram, so the last bindef specified for that histo path will be the one which is applied. The bindefs are constructed in order from those in the obsfile, and then those given on the command line with the -b flag, like this:

-b "/CDF_2000_S4155203/d01-x01-y01:5:135 2.0"

OPTIONS

-h, --help
    show this help message and exit

-O OBSFILE, --obsfile=OBSFILE
    Specify a file with histograms (and bin ranges) that are to be normalised.

-b BINRANGES, --bins=BINRANGES
    Specify a histogram and bin range that is to be used. The format is `AIDAPATH:start:stop'.

-r REFDIR, --refdir=REFDIR
    File of folder with reference histos

-a  Produce AIDA output rather than FLAT

-f  Produce FLAT output rather than AIDA

--multiply
    Rescale histos using weight given as factor rather than new area

-i, --in-place
    Overwrite input file rather than making inputrescaled.aida

--fast
    Try loading only reference files from refpath that match analyses in input-file

EXAMPLES

rivet-rescale out.aida
    This will return the histos in out.aida, scaled to match the overall normalisations of the Rivet ref data.

rivet-rescale -O observables.obs out.aida
    This will return the histos in out.aida, scaled by the bin definitions specified in observables.obs (and using the Rivet ref data again)

rivet-rescale -r path/to/CDF_2000_S4155203.aida -b "/CDF_2000_S4155203/d01-x01-y01:2:5" out.aida
    For this Z-boson pT-distribution, the normalisation to the provided ref data file is only applied between 2 < x < 5 GeV.

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).